Package twisted :: Package protocols :: Module ftp :: Class DTPFileSender

[frames | no frames]

## Class DTPFileSender

    FileSender --+
                 |
                DTPFileSender

Method Summary
| `resumeProducing(self)`
| `stopProducing(self)`
Inherited from FileSender
`Deferred` | ``beginFileTransfer`(self, file, consumer, transform)` Begin transferring a file
| ``pauseProducing`(self)`

Class Variable Summary
Inherited from FileSender
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`int` | `CHUNK_SIZE` = 16384
`NoneType` | `deferred` = None
`str` | `lastSent` = `''`

Generated by Epydoc 2.0 on Sat May 15 20:08:54 2004 | http://epydoc.sf.net